summaryrefslogtreecommitdiffstats
path: root/debian/git-core.postinst
diff options
context:
space:
mode:
authorDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-27 09:49:37 +0000
committerDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-27 09:49:37 +0000
commit43fb36463ac1df398f62397b36e570aa9af94d91 (patch)
treea69979c10da617a3df2d55ecde5503f1c0ec1126 /debian/git-core.postinst
parentAdding upstream version 1:2.30.2. (diff)
downloadgit-43fb36463ac1df398f62397b36e570aa9af94d91.tar.xz
git-43fb36463ac1df398f62397b36e570aa9af94d91.zip
Adding debian version 1:2.30.2-1+deb11u2.debian/1%2.30.2-1+deb11u2debian
Signed-off-by: Daniel Baumann <daniel.baumann@progress-linux.org>
Diffstat (limited to 'debian/git-core.postinst')
-rwxr-xr-xdebian/git-core.postinst15
1 files changed, 15 insertions, 0 deletions
diff --git a/debian/git-core.postinst b/debian/git-core.postinst
new file mode 100755
index 0000000..9416270
--- /dev/null
+++ b/debian/git-core.postinst
@@ -0,0 +1,15 @@
+#!/bin/sh
+set -e
+
+#DEBHELPER#
+
+test "$1" = configure || exit 0
+test -n "$2" || exit 0
+dpkg --compare-versions "$2" le '1:1.7.0.4-2' || exit 0
+test -d /usr/share/doc/git-core || exit 0
+
+if ! rmdir /usr/share/doc/git-core; then
+ echo Moving /usr/share/doc/git-core to /usr/share/doc/git/git-core.old >&2
+ mv -f /usr/share/doc/git-core /usr/share/doc/git/git-core.old
+fi
+ln -s git /usr/share/doc/git-core